Author Topic: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)  (Read 4387 times)

Offline joubertdj

  • Multiple posting newcomer
  • *
  • Posts: 120
wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« on: November 30, 2006, 10:50:39 am »
Okay so I was struggling with this problem so that my little brain was irritated beyond comprehension with a stupid different boolean declaration problem within rpcndr.h within WinAPI 3.8

This Problem is not in 3.7. A Guy called James du Russel added the following:

* include/rpcndr.h (boolean): Add typedef.

And it was released in WinAPI 3.8

Not a big deal and I think it works for other projects of his and mine, but my wxWidgets doesn't want to compile with that boolean declared. Can somebody please confirm this?
Using wxWidgets 2.6.3.1 Plus Patch 2

And if it is confirmed... where do we report this?


« Last Edit: November 30, 2006, 10:59:42 am by joubertdj »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6506
    • My Best Post
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #1 on: November 30, 2006, 10:52:56 am »
I will try to confirm it. What version of GCC 3.42 or 3.45?

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline joubertdj

  • Multiple posting newcomer
  • *
  • Posts: 120
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #2 on: November 30, 2006, 10:56:37 am »
Sorry... GCC 3.45

I want to try this with Ceneza's 4.1.1 as well later...

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6506
    • My Best Post
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #3 on: November 30, 2006, 11:29:22 am »
I get errors also.
Going to try back porting jmorecfg.h which is fixed for this issue.

Tim S
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #4 on: November 30, 2006, 11:52:45 am »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6506
    • My Best Post
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #5 on: November 30, 2006, 11:56:39 am »
I am working on a patch back porting the changes from CVS head; 40 files involved. Be at least an hour to do patch. I am waiting on CVS to complete right now. At the current rate CVS could take hours to finish. I have a dialup so that could be the cause or it could be a server issue.

Tim S
 
« Last Edit: November 30, 2006, 12:45:12 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline joubertdj

  • Multiple posting newcomer
  • *
  • Posts: 120
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #6 on: November 30, 2006, 12:36:04 pm »
 :( This WinAPI 3.8 breaks alot of my libraries that I am using... including Allegro...

Offline Outis

  • Multiple posting newcomer
  • *
  • Posts: 26
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #7 on: November 30, 2006, 12:45:06 pm »
It breaks allegro? Can show me the error, please?

Offline joubertdj

  • Multiple posting newcomer
  • *
  • Posts: 120
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #8 on: November 30, 2006, 12:46:22 pm »
Only when you rebuild the library... normal usage with a pre-build library is fine...

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6506
    • My Best Post
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #9 on: November 30, 2006, 02:21:22 pm »
Patch uploaded to wxWidgets site.

http://sourceforge.net/tracker/index.php?func=detail&aid=1606032&group_id=9863&atid=309863

Copy file to wxWidgets folder.

The command to patch is
patch --unified -p0 --input=mypatch_2.6_BRANCH.patch

Tim S

C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline keenblade

  • Multiple posting newcomer
  • *
  • Posts: 36
  • tao
    • keenblade
Re: wxWidgets 2.6.3 + Patch2 + MingW WinAPI 3.8 Problem (Solved?)
« Reply #10 on: November 30, 2006, 10:14:52 pm »
:( This WinAPI 3.8 breaks alot of my libraries that I am using... including Allegro...
It also breaks Visual Component Framework, too. I can't build VCF with the Code:Blocks using winapi v3.8.
WinAPI 3.7 works fine for me.
« Last Edit: November 30, 2006, 10:17:17 pm by keenblade »
Anyway it\'s all the same at the end...